This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478112 - Increase the number of projects where the multi-project quota can be set, without affecting performance.
Increase the number of projects where the multi-project quota can be set, wit...
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.5.1
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Paul Weil
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 11:20 EDT by Nicolas Nosenzo
Modified: 2017-08-31 04:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Nosenzo 2017-08-03 11:20:54 EDT
1. Proposed title of this feature request
Increase the number of projects where the multi-project quota can be set, without affecting performance.

3. What is the nature and description of the request?

As per documentation ([0]), Is not recommended to select more than 100 projects under a single multi-project quota. Since it may have detrimental effects on API server responsiveness in those projects. 

[0]h ttps://docs.openshift.com/container-platform/3.5/admin_guide/multiproject_quota.html#multi-project-quotas-selection-granularity



4. Why does the customer need this? (List the business requirements here)
They have use cases of registering > 100 projects;


5. How would the customer like to achieve this? (List the functional requirements here)
Increasing the recommended value to something close to 500 projects.

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
No BZ.
Comment 4 Eric Paris 2017-08-03 11:56:10 EDT
Can I get an example of exactly what single thing they want to quota across 500 projects? The existence of 500 projects on the cluster isn't the problem. It is selecting all 500 of those. You can use multi-project quota across 50 of your 500 projects. That works. You can actually select all 500, but it's going to take more CPU, more memory, and generally make things slower.

Before we try to find some major engineer rewrite i'd like to know what you plan to quota across so many projects and understand how/if that use case really makes sense.

Sadly we are likely to close this request as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.